Payment methods
Set Payment Method default
Sets a Payment Method as the default for a member
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
member_id*string
payment_method_id*string
Response Body
application/json
application/json
curl -X POST "https://api.members.dev/portal/v1/payment-methods/members/string/string/set-default"{
"id": "string",
"type": "offline_cash",
"is_default": true,
"status": "active",
"label": "string",
"provider": "stripe",
"is_off_session": false,
"details": {},
"member_id": "string",
"offline_payment_method_definition": {
"type": "offline_cash",
"name": "string",
"instructions": "string",
"is_enabled": true,
"id": "string",
"created_at": null,
"updated_at": null
},
"created_at": null,
"updated_at": null,
"detached_at": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}